#include "scalar.h"

Scalar rad_to_deg(Scalar rad){
    return rad*(180.0/M_PI);
}

Scalar deg_to_rad(Scalar deg){
    return deg*(M_PI/180.0);
}

bool are_equal(Scalar a, Scalar b){
    return abs(a-b)<threshold;
}

Scalar clamp(Scalar a, Scalar min, Scalar max){
    return (a < min) ? min : (a > max) ? max : a;
}
