#pragma once

#include <vector>
#include "sphere.h"
#include "light.h"

struct Scene {
    std::vector<Sphere> spheres;
    std::vector<Light> lights;
    void populate();

    bool is_in_shadow(Vect3 p, const Light &light);

    Vect3 lighting(Vect3 V, Vect3 N, Vect3 P);
};