#pragma once

#include "vect3.h"
#include "ray.h"

struct Sphere{
    Vect3 center;
    Scalar radius;

    Sphere(Vect3 c, Scalar r): center(c), radius(r){};

    Vect3 normal_of(const Vect3 &pos) const {
        return (pos - center).normalized();
    }
};