#pragma once

#include <vector>
#include <string>
#include "vect3.h"

typedef Vect3 Pixel;

class Picture { public:

    std::vector <Pixel> pixels;
    const int res_x, res_y;

    Picture(int x, int y);

    void fill_whit_checkerboard();
    void print_to_screen()const;;
    void save_as_pnm(const std::string &filename) const;
    Pixel& pixel(int, int);
    Pixel pixel(int, int) const;
};